#include "Database.hpp"

using namespace std;

DatabaseHandle::DatabaseHandle(const string& filename) {
  if (SQLITE_OK != sqlite3_open(filename.c_str(), &dbh))
    throw DatabaseError();
}

DatabaseHandle::~DatabaseHandle() {
  sqlite3_close(dbh);
}



